ifeq (distro,$(IMAGE_CLASS))

mixin/ximper-desktop-commom-software:
	@$(call add,THE_PACKAGES,appinstall gnome-software\
	\
	extension-manager\
	\
	blackbox-terminal\
	\
	gradience Kvantum\
	\
	notification-daemon\
	\
	gvfs-backend-dnssd avahi-daemon gvfs-backend-smb\
	\
	gvfs-backend-mtp\
	\
	gnome-tweaks\
	\
	nano\
	\
	orca\
	\
	cups-pk-helper\
	\
	file-roller\
	\
	)
	@$(call add,MAIN_GROUPS,\
	 slinux/flatpak etersoft/99_timeshift\
	 slinux/graphics\
	 slinux/graphics-full-inkscape slinux/graphics-full-shotwell\
	 \
	 etersoft/00_office etersoft/libreoffice-still etersoft/libreoffice-latest etersoft/office-atril\
	 \
	 slinux/multimedia\
	 slinux/multimedia-full-audacity etersoft/multimedia-base etersoft/multimedia-mpv\
	 slinux/multimedia-full-shotcut etersoft/multimedia-full-obs-studio\
	 \
	 etersoft/virt-machines\
	 etersoft/virt-manager etersoft/gnome-boxes etersoft/virtualbox\
	 \
	 etersoft/01_games\
	 etersoft/games-portproton etersoft/games-lutris etersoft/games-mangohud\
	 etersoft/games-32bit-libs etersoft/games-vkbasalt etersoft/games-steam\
	 \
	 etersoft/02_peripheral\
	 etersoft/peripherals-openrgb\
	 \
	 etersoft/03_browsers etersoft/browsers-firefox etersoft/browsers-firefox-esr etersoft/browsers-gnome-web\
	 etersoft/browsers-chromium-gost\
	 \
	 etersoft/04_dev-tools etersoft/dev-tools-codium etersoft/dev-tools-etersoft-build-utils\
	 etersoft/dev-tools-gnome-ssh-agent\
	 \
	 etersoft/05_messengers\
	 etersoft/messengers-telegram etersoft/messengers-whatsapp\
	 )
	@$(call add,LIVE_GROUPS,\
	 etersoft/firefox etersoft/libreoffice etersoft/atril\
	 etersoft/portproton etersoft/telegram etersoft/32bit-libs etersoft/gnome-ssh-agent\
	 slinux/graphics-full-shotwell slinux/flatpak etersoft/timeshift\
	 )


mixin/ximper-desktop: +alsa +nm-native \
	use/x11/xorg use/xdg-user-dirs use/l10n \
	use/branding/notes
	@$(call set,LOCALES,en_US)
	@$(call add,THE_PACKAGES,pam-limits-desktop beesu polkit dvd+rw-tools fonts-cascadia-code)
	@$(call add,THE_PACKAGES,polkit-rule-admin-root)
	@$(call add,THE_BRANDING,alterator graphics indexhtml backgrounds gnome-settings apt-conf notes)
	@$(call add,THE_PACKAGES,$$(THE_IMAGEWRITER))
	@$(call set,THE_IMAGEWRITER,altmediawriter)
	@$(call add,THE_PACKAGES,upower udev-rules-rfkill-uaccess)
	@$(call add,DEFAULT_SERVICES_DISABLE,gssd idmapd krb5kdc rpcbind)
	@$(call add,DEFAULT_SERVICES_ENABLE,cups)
	@$(call add,DEFAULT_SERVICES_ENABLE,alteratord)
	@$(call add,CONTROL,fusermount:public)
	@$(call add,CONTROL,libnss-role:disabled)
	@$(call add,THE_PACKAGES,sudo)
	@$(call add,CONTROL,sudowheel:enabled)


mixin/ximper-x11: use/luks \
	use/kernel/disable-usb-autosuspend \
	use/branding use/ntp/chrony use/services/lvm2-disable
	@$(call add,THE_LISTS,$(call tags,(base || desktop) && ximper && !extra))
	@$(call add,THE_PACKAGES,disable-usb-autosuspend)
	@$(call add,THE_PACKAGES,btrfs-progs)
	@$(call add,THE_PACKAGES,gpm)
	@$(call add,DEFAULT_SERVICES_DISABLE,gpm powertop)
	@$(call add,INSTALL2_PACKAGES,volumes-profile-kdesktop)
	@$(call set,INSTALL2_FONTS,fonts-otf-abattis-cantarell)


mixin/ximper-gnome: use/x11/gnome use/fonts/ttf/redhat +nm-gtk
	@$(call add,THE_PACKAGES,xcalib templates)
	@$(call add,THE_PACKAGES,chrome-gnome-shell)
	@$(call add,THE_PACKAGES,qt5-wayland qt6-wayland)
	@$(call add,THE_PACKAGES,nautilus-open-any-terminal sushi gnome-epub-thumbnailer gnome-text-editor gnome-tour gnome-initial-setup gnome-font-viewer\
	alacarte gnome-power-manager switcheroo-control power-profiles-daemon gnome-bluetooth3.0\
	gnome-shell-extension-appindicator gnome-shell-extension-dash-to-dock gnome-shell-extension-gsconnect\
	gnome-shell-extension-no-overview-at-startup gnome-shell-extension-hide-activities-button)
ifeq (sisyphus,$(BRANCH))
	@$(call add,THE_PACKAGES,gnome-packagekit)
endif


distro/.ximper-bare: distro/.base use/kernel/net use/docs/license \
	use/stage2/ata use/stage2/fs use/stage2/hid use/stage2/md \
	use/stage2/mmc use/stage2/net use/stage2/net-nfs use/stage2/cifs \
	use/stage2/rtc use/stage2/sbc use/stage2/scsi use/stage2/usb \
	use/stage2/drm use/tty
	@$(call try,SAVE_PROFILE,yes)
	@$(call add,STAGE1_PACKAGES,firmware-linux)
	@$(call add,STAGE1_KMODULES,drm)
ifeq (sisyphus,$(BRANCH))
ifeq (,$(filter-out i586 x86_64,$(ARCH)))
	@$(call set,BOOTLOADER,grubpcboot)
endif
endif

# base target (for most images)
distro/.ximper-base: distro/.ximper-bare use/isohybrid use/vmguest use/memtest use/efi/dtb +efi; @:


# graphical target (not enforcing xorg drivers or blobs)
distro/.ximper-x11: distro/.ximper-base mixin/ximper-x11 \
	use/x11/wacom use/x11/amdgpu +wireless \
	use/live/x11 use/live/repo \
	use/live/suspend use/browser/firefox \
	use/syslinux/ui/gfxboot use/grub/ui/gfxboot
	@$(call add,THE_BRANDING,bootloader)
	@$(call add,THE_LISTS,$(call tags,(base || desktop) && ximper))
	@$(call add,LIVE_LISTS,$(call tags,base rescue))
	@$(call add,LIVE_PACKAGES,gpm)
	@$(call add,DEFAULT_SERVICES_DISABLE,gpm powertop)


distro/.ximper-wm: distro/.ximper-x11 \
	mixin/ximper-desktop +vmguest \
	use/live/rw use/live/ru use/live/install
	@$(call set,INSTALLER,alt-workstation)
	@$(call add,LIVE_PACKAGES,volumes-profile-kdesktop)


distro/.ximper-install: distro/.ximper-base +installer \
	use/branding use/bootloader/grub use/luks use/stage2/kms \
	use/install2/fs use/install2/vnc use/install2/repo
	@$(call add,INSTALL2_PACKAGES,fdisk)
ifeq (,$(filter-out i586 x86_64,$(ARCH)))
	@$(call add,INSTALL2_PACKAGES,xorg-conf-synaptics)
endif
	@$(call add,THE_LISTS,$(call tags,base ximper))
	@$(call add,INSTALL2_BRANDING,alterator notes)
	@$(call add,INSTALL2_PACKAGES,btrfs-progs)
	@$(call add,THE_BRANDING,alterator)


distro/.ximper-install-x11: distro/.ximper-install +vmguest +wireless \
	use/install2/suspend mixin/ximper-desktop mixin/ximper-x11 \
	use/branding/complete use/branding/slideshow/once mixin/desktop-installer use/install2/fs use/efi/shell use/l10n/default/ru_RU use/rescue/base
	@$(call set,INSTALLER,alt-workstation)
	@$(call add,RESCUE_LISTS,$(call tags,rescue misc))
	@$(call add,MAIN_PACKAGES,anacron man-whatis usb-modeswitch)


distro/.ximper-install-x11-systemd: distro/.ximper-install-x11 \
	use/x11/lightdm/gtk +systemd +systemd-optimal
	@$(call add,THE_PACKAGES,bluez)
	@$(call add,THE_PACKAGES,btrfs-progs)
	@$(call add,DEFAULT_SERVICES_ENABLE,bluetoothd)


distro/ximper: distro/.ximper-install-x11-systemd distro/.ximper-wm mixin/ximper-gnome mixin/ximper-desktop-commom-software\
	use/kernel/latest +plymouth; @:
	@$(call set,META_VOL_ID,Ximper Linux $(DISTRO_VERSION) $(ARCH))
	@$(call set,META_APP_ID,Ximper Linux $(DISTRO_VERSION) $(ARCH) $(shell date +%F))
	@$(call set,BRANDING,etersoft-ximper)
	@$(call set,KFLAVOURS,std-def un-def)
	@$(call add,MAIN_PACKAGES,kernel-headers-un-def)
	@$(call add,MAIN_PACKAGES,kernel-headers-modules-un-def)
	@$(call add,THE_KMODULES,virtualbox)
	@$(call add,LIVE_PACKAGES,livecd-gnome3-setup-done)
	@$(call add,LIVE_PACKAGES,gnome-flashback screenpen)
	

endif